postgresql-simple-0.2.4.1: Mid-Level PostgreSQL client library

Stability | experimental
Maintainer | Leon P Smith <leon@melding-monads.com>
Safe Haskell | None

Database.PostgreSQL.Simple.BuiltinTypes

Description

# Documentation

data BuiltinType

Constructors

Bool |
ByteA |
Char |
Name |
Int8 |
Int2 |
Int4 |
RegProc |
Text |
Oid |
Tid |
Xid |
Cid |
Xml |
Point |
LSeg |
Path |
Box |
Polygon |
Line |
Cidr |
Float4 |
Float8 |
AbsTime |
RelTime |
TInterval |
Unknown |
Circle |
Money |
MacAddr |
Inet |
BpChar |
VarChar |
Date |
Time |
Timestamp |
TimestampTZ |
Interval |
TimeTZ |
Bit |
VarBit |
Numeric |
RefCursor |
Record |
Void |
UUID |

Instances

Bounded BuiltinType |
Enum BuiltinType |
Eq BuiltinType |
Ord BuiltinType |
Read BuiltinType |
Show BuiltinType |
Typeable BuiltinType |

builtin2oid :: BuiltinType -> Oid

oid2builtin :: Oid -> Maybe BuiltinType

builtin2typname :: BuiltinType -> ByteString

oid2typname :: Oid -> Maybe ByteString